<div class="navbar">
  <div class="logo" [routerLink]="['/home']">
    <div class="proxigram-logo" [inlineSVG]="'assets/svg/proxigram_logo.svg'" alt=""></div>
    <div class="proxigram-name" [inlineSVG]="'assets/svg/proxigram_name.svg'" alt=""></div>
  </div>
  <div class="dropdown">
    <div class="search">
      <form [formGroup]="searchForm">
        <i class="fa fa-times-circle" (click)="clearSearch()"></i>
        <input type="text" placeholder="Search" formControlName="name" />
      </form>
    </div>
    <div class="search-dropdown dropdown-content active" *ngIf="searchResults$ && (searchResults$ | async)?.length > 0">
      <div class="item" *ngFor="let result of searchResults$ | async">
        <div class="search-thumbnail" (click)="result.has_stories.length > 0 ? openStoryModal(result) : ''"
          [ngClass]="withStory(result.has_stories.length > 0) ? 'with-story' : ''"
          (click)="navigateBasedOnStoriesAndUserId(result.has_stories, result.id)">
          <img [src]="result.image ? getImageUrl(result.image) : 'assets/images/no-image.png'" alt="" />
        </div>
        <div class="content" (click)="navigateBasedOnUserId(result.id)">
          <div class="name">{{ result.fname }} {{ result.lname }}</div>
        </div>
      </div>
    </div>

    <div class="search-dropdown dropdown-content active"
      *ngIf="searchResultTags$ && (searchResultTags$ | async)?.length > 0">
      <div class="item" *ngFor="let result of searchResultTags$ | async">
        <div class="search-thumbnail" (click)="goToPostsByTag(result.hashtag)">
          #
        </div>
        <div class="content" (click)="goToPostsByTag(result.hashtag)">
          <div class="name">#{{ result.hashtag }}</div>
          <div class="email">{{ result.posts_count }} {{ result.posts_count === 1 ? 'post' : 'posts' }}</div>
        </div>
      </div>
    </div>
  </div>

  <div class="icons">
    <i class="fa fa-home icon" [routerLink]="['/home']"></i>
    <i class="fa fa-plus-circle icon" [routerLink]="['/post/new']"></i>
    <div class="dropdown" (click)="loadNotif()">
      <i class="fa fa-star icon" (click)="dropdownStateNotif = !dropdownStateNotif"
        (clickOutside)="closeDropdownNotif()"></i>
      <div class="notif dropdown-content" [ngClass]="{ 'active': dropdownStateNotif }">
        <ng-container *ngFor="let notif of recentNotifications$ | async">
          <div class="item"
            [routerLink]="notif.action !== 'follow' ? ['/post/', notif.notifiable_id] : ['/profile/', notif.sender.id]">
            <i class="fa fa-star notif-icon star" *ngIf="notif.action == 'like'"></i>
            <i class="fa fa-comment notif-icon comment" *ngIf="notif.action == 'comment'"></i>
            <i class="fa fa-plus notif-icon follow" *ngIf="notif.action == 'follow'"></i>
            <div class="notif-thumbnail">
              <img [src]="notif.sender.image ? getImageUrl(notif.sender.image) : 'assets/images/no-image.png'" alt="" />
            </div>

            <div class="notif-content">
              <div class="message">{{ notif.sender.fname }} {{ notif.sender.lname }} {{ notif.message }}</div>
              <div class="date-ago">{{ notif.created_at | dateAgo }}</div>
            </div>
            <img class="post-thumbnail"
              *ngIf="(notif.notifiable.contents ? notif.notifiable.contents[0]?.type : '') === 'image'"
              [src]="getImageUrl(notif.notifiable.contents ? notif.notifiable.contents[0]?.content : '')" alt="" />

            <video class="post-thumbnail"
              *ngIf="(notif.notifiable.contents ? notif.notifiable.contents[0]?.type : '') === 'image'">
              <source [src]="getImageUrl(notif.notifiable.contents ? notif.notifiable.contents[0]?.content : '')" />
            </video>
          </div>
        </ng-container>
        <div *ngIf="recentNotifications$ | async as notif">
          <div [routerLink]="['/notifications']" *ngIf="notif.length > 0"
            (click)="dropdownStateNotif = !dropdownStateNotif" [ngStyle]="{ 'cursor': 'pointer' }" class="notif-expand">
            See all
          </div>
          <div *ngIf="notif.length == 0" (click)="dropdownStateNotif = !dropdownStateNotif"
            [ngStyle]="{ 'cursor': 'auto' }" class="notif-expand">
            No notifications
          </div>
        </div>
      </div>
    </div>
    <i class="fa fa-user icon" [routerLink]="['/profile']"></i>
  </div>
</div>
